Bug 1017676 - MAX_DOMAINS_PER_USER should be added into broker.conf
MAX_DOMAINS_PER_USER should be added into broker.conf
Status: CLOSED ERRATA
Product: OpenShift Container Platform
Classification: Red Hat
Component: Kubernetes (Show other bugs)
2.0.0
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Brenton Leanhardt
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-10 06:22 EDT by Johnny Liu
Modified: 2017-03-08 12 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-16 04:11:16 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Johnny Liu 2013-10-10 06:22:02 EDT
Description of problem:
ose-2.0 allow one user to create multiple domains, by default MAX_DOMAINS_PER_USER is 1 (refer to line 81 in /var/www/openshift/broker/config/environments/production.rb), I think this key should be configurable in broker.conf.
So suggest to add the following line to broker.conf
MAX_DOMAINS_PER_USER="1"

If user want to enable multiple domain per user, it will be convenient to configure it.

Version-Release number of selected component (if applicable):
2.0/2013-10-08.1 puddle

How reproducible:
Always

Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 2 openshift-github-bot 2013-10-14 16:44:25 EDT
Commit pushed to master at https://github.com/openshift/origin-server

https://github.com/openshift/origin-server/commit/0b7cbbb777dcefc089dd1b3f1b92cf73fd368833
Bug 1017676 - Adding default configurations for team collaboration settings
Comment 4 Johnny Liu 2013-10-21 01:38:54 EDT
Verified this bug with 2.0/2013-10-18.1, and PASS.

Check /etc/openshift/broker.conf, the following lines are already added into conf file.
# Team collaboration settings
MAX_MEMBERS_PER_RESOURCE="100"
MAX_DOMAINS_PER_USER="1"

Note You need to log in before you can comment on or make changes to this bug.